%define zopeproductsdir %{_libdir}/zope/lib/python/Products
%define productname 	CMFVisualEditor
%define productver      0.2

%define __find          /usr/bin/find

Name:               zope-%{productname}
Summary:            A Zope product: %{productname}
Version:            %{productver}
Release:            2ied00
Group:              Applications/Internet
Requires:           zope >= 2.7.0
Requires:           zope-CMFPlone >= 2.0
License:            GPL
URL:                http://sourceforge.net/projects/collective
Source:             http://prdownloads.sourceforge.net/collective/%{productname}-%{productver}.tar.gz
Vendor:             IED
Distribution:       Zope
Packager:           Wei He <hewe@ied.org.cn>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch:          noarch
Requires(preun):    %{__find}

Source1:            %{productname}-0.2-zh_cn.po

Patch0:             %{productname}-0.2-copyright-fix.patch
Patch1:             %{productname}-0.2-dup-editors.patch
Patch2:             %{productname}-0.2-var-inputname.patch
Patch3:             %{productname}-0.2-i18n-fix.patch

#---------------------------------------------------------------------
%description

CMFVisualEditor is a skin for Plone that makes use of the DHTML Editing
Control in IE 5+. This helps you to edit your documents in a WYSIWYG mode
and is fully copy-paste aware.

#----------------------------------------------------------------------

%prep

%setup -q -n %{productname}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%{__cp} %{SOURCE1} i18n/visualeditor-zh.po
%{__sed} -r 's/(Language-code: zh)/\1-cn/' %{SOURCE1} | %{__grep} -v X-Is-Fallback-For > i18n/visualeditor-zh-cn.po

#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}
%{__cp} -pr * $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}

#----------------------------------------------------------------------
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%preun

%{__find} %{zopeproductsdir}/%{productname} -iname *.pyc -exec %{__rm} '{}' \;

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc README.txt LICENSE.GPL LICENSE.txt version.txt
%dir %{zopeproductsdir}/%{productname}
%{zopeproductsdir}/%{productname}/*

#----------------------------------------------------------------------
%changelog
* Fri Jun 25 2004 Wei He <hewei@ied.org.cn> 0.2-2ied00
- Simplified Chinese translation
- Fixed page encodings and option translations to make i18n work

* Sat May 15 2004 Wei He <hewei@ied.org.cn> 0.2-1ied02
- Variable inputname field required by Archetypes

* Fri Apr 30 2004 Wei He <hewei@ied.org.cn> 0.2-1ied01
- Duplicated registered editors bug fixed

* Thu Apr 29 2004 Wei He <hewei@ied.org.cn> 0.2-1ied00
- Fix copyright sign (0xA9) expression to avoid javascript error
- Initial release
